Subject: Re: bug#65726: 29.1.50; Crash in regexp engine

From: Mattias Engdegård <[email-masked]>
Date: Mon, 4 Sep 2023 15:18:01 +0200

4 sep. 2023 kl. 14.12 skrev Eli Zaretskii <[email-masked]>:

> I can reproduce on MS-Windows.  It's an infinite recursion.

Hmmm, strange that I'm unable to then.

The recursion seems to be in code added in 5a864f23eb. Does the problem disappear if that commit is unmade?

I shall give this another go but meanwhile maybe Stefan could look at it, too?
Not that I am implything there is anything wrong with his code. Heavens, no.

> In frame #104531, we have:
> 
>  #104531 0x0120e35a in Fre_search_forward (regexp=XIL(0x8000000007e5e308),
>      bound=XIL(0), noerror=XIL(0x30), count=XIL(0)) at search.c:2294

That should be the re-search-forward call in elinfo.el:973.

> and regexp is this monstrocity:

Thank you, this one is apparently generated dynamically.